Bug 108091 - Update f-spot to version 0.3.1, contains bugfixes and enhancements
Summary: Update f-spot to version 0.3.1, contains bugfixes and enhancements
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tom McLaughlin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-18 14:10 UTC by Christoph Moench-Tegeder
Modified: 2007-02-05 01:00 UTC (History)
0 users

See Also:


Attachments
file.diff (6.33 KB, patch)
2007-01-18 14:10 UTC, Christoph Moench-Tegeder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2007-01-18 14:10:13 UTC
	The included patch updates graphics/f-spot to version 0.3.1 wich contains
	many bugfixes and feature enhancements. Please check pkg-plist after
	patching, I'm not sure if I got that one right.

Fix: Patch available from http://www.burggraben.net/~cmt/tmp/patch-graphics_f-spot
	or see below.
Comment 1 Rong-En Fan freebsd_committer 2007-01-18 14:39:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

Eat.
Comment 2 Tom McLaughlin freebsd_committer 2007-01-19 18:06:18 UTC
Responsible Changed
From-To: rafan->tmclaugh

I have a patch here for 0.3.0 with some other very minor changes.  Nice to 
know 0.3.1 updates dbus# so I can get rid of those changes.  I'll commit 
during the next BSD# tree merge which is real soon.
Comment 3 Christoph Moench-Tegeder freebsd_committer 2007-01-25 23:21:34 UTC
Hello, here's a new patch for f-spot 0.3.2 (and 0.3.3 is expected soon)
Also available via http://www.burggraben.net/~cmt/tmp/graphics_fspot_take2.diff

diff -Nru f-spot.orig/Makefile f-spot/Makefile
--- f-spot.orig/Makefile	Sun Oct  8 18:48:06 2006
+++ f-spot/Makefile	Thu Jan 25 18:42:12 2007
@@ -7,12 +7,11 @@
 #
 
 PORTNAME=	f-spot
-PORTVERSION=	0.2.1
-PORTREVISION=	1
+PORTVERSION=	0.3.2
 PORTEPOCH=	1
 CATEGORIES=	graphics gnome
 MASTER_SITES=	${MASTER_SITE_GNOME}
-MASTER_SITE_SUBDIR=	sources/${PORTNAME}/0.2
+MASTER_SITE_SUBDIR=	sources/${PORTNAME}/0.3
 
 MAINTAINER=	bsd-sharp-list@forge.novell.com
 COMMENT=	Personal photo management to the GNOME desktop
@@ -20,10 +19,8 @@
 LIB_DEPENDS=	lcms.1:${PORTSDIR}/graphics/lcms \
 		exif.12:${PORTSDIR}/graphics/libexif \
 		gphoto2.2:${PORTSDIR}/graphics/libgphoto2
-BUILD_DEPENDS=	gapi2-fixup:${PORTSDIR}/x11-toolkits/gtk-sharp20 \
-		${LOCALBASE}/lib/mono/dbus-sharp/dbus-sharp.dll:${PORTSDIR}/devel/dbus-sharp
-RUN_DEPENDS=	gapi2-fixup:${PORTSDIR}/x11-toolkits/gtk-sharp20 \
-		${LOCALBASE}/lib/mono/dbus-sharp/dbus-sharp.dll:${PORTSDIR}/devel/dbus-sharp
+BUILD_DEPENDS=	gapi2-fixup:${PORTSDIR}/x11-toolkits/gtk-sharp20
+RUN_DEPENDS=	gapi2-fixup:${PORTSDIR}/x11-toolkits/gtk-sharp20
 
 USE_BZIP2=	yes
 USE_SQLITE=	yes
diff -Nru f-spot.orig/distinfo f-spot/distinfo
--- f-spot.orig/distinfo	Sat Oct  7 20:05:59 2006
+++ f-spot/distinfo	Thu Jan 25 18:48:35 2007
@@ -1,3 +1,3 @@
-MD5 (f-spot-0.2.1.tar.bz2) = 75e9823a1cb32ebba43c533556d12bdb
-SHA256 (f-spot-0.2.1.tar.bz2) = e7ae11735d006a648c08aab300ed853c7426ac6bb6ce383ddf4ac3d3340e24e4
-SIZE (f-spot-0.2.1.tar.bz2) = 996972
+MD5 (f-spot-0.3.2.tar.bz2) = 1084f359ee7de5a4d24ed37a72b1342a
+SHA256 (f-spot-0.3.2.tar.bz2) = a1ffa2d3c97cc0727902021e44f8476d90d503cc2376f39b2e6a132e9aee78a4
+SIZE (f-spot-0.3.2.tar.bz2) = 1709277
diff -Nru f-spot.orig/files/patch-src_f-spot.in f-spot/files/patch-src_f-spot.in
--- f-spot.orig/files/patch-src_f-spot.in	Sat Oct  7 20:05:59 2006
+++ f-spot/files/patch-src_f-spot.in	Thu Jan 25 19:33:15 2007
@@ -1,14 +1,53 @@
---- src/f-spot.in.orig	Thu Sep  7 17:56:20 2006
-+++ src/f-spot.in	Mon Oct  2 22:35:40 2006
+--- src/f-spot.in.orig	Thu Jan 25 18:45:44 2007
++++ src/f-spot.in	Thu Jan 25 19:32:54 2007
 @@ -1,4 +1,4 @@
 -#!/bin/bash
 +#!/bin/sh
  
  prefix=@prefix@
  exec_prefix=@exec_prefix@
-@@ -24,4 +24,4 @@
- 	echo "*** Running F-Spot in Debug Mode ***"
- esac
+@@ -16,23 +16,21 @@
+ [ -n "$FSPOT_PROFILE" ] && FSPOT_PROFILE="--profile=$FSPOT_PROFILE"
+ 
+ for arg in $*; do
+-    case "x--debug" in ("x$arg")
+-        FSPOT_DEBUG=$arg
+-    esac
+-
+-    case "x--trace=" in ("x${arg:0:8}")
+-        FSPOT_TRACE=$arg
+-    esac
+-
+-    case "x--profile=" in ("x${arg:0:10}")
+-        FSPOT_PROFILE=$arg
+-    esac
+-
+-    case "x--uninstalled" in ("x$arg")
+-        echo "*** Running uninstalled f-spot ***"
+-        EXE_TO_RUN="./f-spot.exe"
+-        export MONO_PATH=../Tao/Tao.OpenGl:../Tao/Tao.OpenGl.Glu:../Tao/Tao.OpenGl.ExtensionLoader:../dbus-sharp:../dbus-sharp-glib:../google-sharp:../gnome-keyring-sharp:../FlickrNet:../SmugMugNet:../libgphoto2-sharp:../semweb:../glitz-sharp/src/:$MONO_PATH
+-    esac
++    case "x$arg" in
++        x--debug)
++            FSPOT_DEBUG="$arg"
++            ;;
++        x--trace)
++            FSPOT_TRACE="$arg"
++            ;;
++        x--profile)
++            FSPOT_PROFILE="$arg"
++            ;;
++        x--uninstalled)
++            echo "*** Running uninstalled f-spot ***"
++            EXE_TO_RUN="./f-spot.exe"
++            export MONO_PATH=../Tao/Tao.OpenGl:../Tao/Tao.OpenGl.Glu:../Tao/Tao.OpenGl.ExtensionLoader:../dbus-sharp:../dbus-sharp-glib:../google-sharp:../gnome-keyring-sharp:../FlickrNet:../SmugMugNet:../libgphoto2-sharp:../semweb:../glitz-sharp/src/:$MONO_PATH
++        esac
+ done
+ 
+ if [ -n "$FSPOT_DEBUG" ]; then
+@@ -44,4 +42,4 @@
+     echo "** Running Mono with $MONO_OPTIONS **"
+ fi
  
 -exec -a @PACKAGE@ mono $MONO_OPTIONS $EXE_TO_RUN "$@"
 +exec mono $MONO_OPTIONS $EXE_TO_RUN "$@"
diff -Nru f-spot.orig/pkg-plist f-spot/pkg-plist
--- f-spot.orig/pkg-plist	Sat Oct  7 20:05:59 2006
+++ f-spot/pkg-plist	Thu Jan 25 19:00:59 2007
@@ -1,7 +1,18 @@
 bin/f-spot
 bin/f-spot-import
 lib/f-spot/FlickrNet.dll
+lib/f-spot/NDesk.DBus.GLib.dll
+lib/f-spot/NDesk.DBus.GLib.dll.config
+lib/f-spot/NDesk.DBus.dll
+lib/f-spot/NDesk.Glitz.dll
 lib/f-spot/SemWeb.dll
+lib/f-spot/SmugMugNet.dll
+lib/f-spot/Tao.OpenGl.ExtensionLoader.dll
+lib/f-spot/Tao.OpenGl.ExtensionLoader.dll.config
+lib/f-spot/Tao.OpenGl.Glu.dll
+lib/f-spot/Tao.OpenGl.Glu.dll.config
+lib/f-spot/Tao.OpenGl.dll
+lib/f-spot/Tao.OpenGl.dll.config
 lib/f-spot/f-spot.exe
 lib/f-spot/f-spot.exe.config
 lib/f-spot/gnome-keyring-sharp.dll
@@ -20,16 +31,34 @@
 lib/f-spot/libfspotjpegtran.so.0
 lib/f-spot/libgphoto2-sharp.dll
 lib/f-spot/libgphoto2-sharp.dll.config
+libdata/pkgconfig/f-spot.pc
 libexec/gnome-screensaver/f-spot-screensaver
 share/gnome-screensaver/themes/f-spot-screensaver.desktop
 share/gnome/applications/f-spot-view.desktop
 share/gnome/applications/f-spot.desktop
-share/gnome/pixmaps/f-spot-logo.png
+share/gnome/help/f-spot/C/f-spot.xml
+share/gnome/help/f-spot/C/figures/f-spot-fullscreen.png
+share/gnome/help/f-spot/C/figures/f-spot-slideshow.png
+share/gnome/help/f-spot/sv/f-spot.xml
+share/gnome/help/f-spot/sv/figures/f-spot-fullscreen.png
+share/gnome/help/f-spot/sv/figures/f-spot-slideshow.png
+share/icons/hicolor/16x16/apps/f-spot.png
+share/icons/hicolor/16x16/apps/f-spot.svg
+share/icons/hicolor/22x22/apps/f-spot.png
+share/icons/hicolor/22x22/apps/f-spot.svg
+share/icons/hicolor/24x24/apps/f-spot.png
+share/icons/hicolor/32x32/apps/f-spot.png
+share/icons/hicolor/32x32/apps/f-spot.svg
+share/icons/hicolor/48x48/apps/f-spot.png
+share/icons/hicolor/48x48/apps/f-spot.svg
+share/icons/hicolor/scalable/apps/f-spot.svg
+share/locale/ar/LC_MESSAGES/f-spot.mo
 share/locale/bg/LC_MESSAGES/f-spot.mo
 share/locale/ca/LC_MESSAGES/f-spot.mo
 share/locale/cs/LC_MESSAGES/f-spot.mo
 share/locale/da/LC_MESSAGES/f-spot.mo
 share/locale/de/LC_MESSAGES/f-spot.mo
+share/locale/dz/LC_MESSAGES/f-spot.mo
 share/locale/el/LC_MESSAGES/f-spot.mo
 share/locale/en_CA/LC_MESSAGES/f-spot.mo
 share/locale/en_GB/LC_MESSAGES/f-spot.mo
@@ -40,6 +69,7 @@
 share/locale/fi/LC_MESSAGES/f-spot.mo
 share/locale/fr/LC_MESSAGES/f-spot.mo
 share/locale/gl/LC_MESSAGES/f-spot.mo
+share/locale/hi/LC_MESSAGES/f-spot.mo
 share/locale/hu/LC_MESSAGES/f-spot.mo
 share/locale/it/LC_MESSAGES/f-spot.mo
 share/locale/ja/LC_MESSAGES/f-spot.mo
@@ -59,9 +89,12 @@
 share/locale/vi/LC_MESSAGES/f-spot.mo
 share/locale/zh_CN/LC_MESSAGES/f-spot.mo
 share/locale/zh_TW/LC_MESSAGES/f-spot.mo
-@dirrmtry share/locale/rw/LC_MESSAGES
-@dirrmtry share/locale/rw
+@dirrmtry share/gnome/help/f-spot/sv/figures
+@dirrmtry share/gnome/help/f-spot/sv
+@dirrmtry share/gnome/help/f-spot/C/figures
+@dirrmtry share/gnome/help/f-spot/C
+@dirrmtry share/gnome/help/f-spot
 @dirrmtry share/gnome-screensaver/themes
 @dirrmtry share/gnome-screensaver
 @dirrmtry libexec/gnome-screensaver
-@dirrm lib/f-spot
+@dirrmtry lib/f-spot

Regards
Christoph

-- 
Spare Space
Comment 4 dfilter service freebsd_committer 2007-02-04 23:23:35 UTC
tmclaugh    2007-02-04 23:23:26 UTC

  FreeBSD ports repository

  Modified files:
    graphics/f-spot      Makefile distinfo pkg-plist 
    graphics/f-spot/files patch-src_f-spot.in 
  Log:
  - Update to 0.3.2
    Version 0.3.2
    * New editing effects: Soft Focus and Straighten.
    * Lots of fixes to the OpenGL slideshow introduced in 0.3.1
    Version 0.3.1
    * Export to 23hq.com and SmugMug (Thomas Van Machelen)
    * New red-eye removal algorithm. Threshold value for redeye
      removal is read from gconf. Default is set to -15 (Stephane Delcroix)
    * Accepts dropped URIs from Firefox. Drag an image from Firefox and drop
      it in f-spot --view (Stephane Delcroix)
    Version 0.3.0
    * New User Guide
    * Bug fixes and improvements
    Version 0.2.2
    * Switch to managed dbus#
    * new search interface
  - Move to LOCALBASE
  - USE_GNOME+=gnomesharp20
  - Add missing INSTALLS_ICONS and USE_GETTEXT
  
  NOTE: deve/dbus is needed because of the bundled managed dbus#
  
  PR:             108091
  Submitted by:   Christoph Moench-Tegeder (0.3.1)
  Project by:     BSD# (http://www.mono-project.com/Mono:FreeBSD)
  
  Revision  Changes    Path
  1.20      +10 -10    ports/graphics/f-spot/Makefile
  1.8       +3 -3      ports/graphics/f-spot/distinfo
  1.3       +45 -5     ports/graphics/f-spot/files/patch-src_f-spot.in
  1.10      +56 -1     ports/graphics/f-spot/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Tom McLaughlin freebsd_committer 2007-02-05 00:59:27 UTC
State Changed
From-To: open->closed

Committed an updatde to 0.3.2.  Thanks.